Forum Thread: end of life

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
Programs

Relating to this vendor:
Microsoft
And, this specific program:
Microsoft XML Core Services (MSXML) 4.x

This thread has been marked as locked.
marcirltr end of life
Member 3rd Oct, 2015 18:05
Ranking: 0
Posts: 6
User Since: 26th May, 2009
System Score: N/A
Location: N/A
I am running Windows 10 and secunia says Microsoft XML core services (MSXML) 4.X is at end of life and needs manual update.
At the present time according to Secunia I have Updated versions of Microsoft XML core services (MSXML) 3.X(64Bit), Microsoft XML core services (MSXML) 3.X, Microsoft XML core services (MSXML) 6.X(64Bit) and Microsoft XML core services (MSXML) 6.X. When I go to the web sight to update it wants to load Microsoft XML core services (MSXML) 6.X. I can't get Microsoft XML core services (MSXML) 4.X but do I need it? Everything else is running and updating just fine

marcirltr RE: end of life
Member 3rd Oct, 2015 18:18
Score: 0
Posts: 6
User Since: 26th May 2009
System Score: N/A
Location: N/A
I think I have found an answer in another thread but I am not sure about uninstalling 4.X can I just tell secunia to ignore the updates for 4.x or will this leave my system vulnerable
Was this reply relevant?
+0
-0
Maurice Joyce RE: end of life
Handling Contributor 4th Oct, 2015 12:34
Score: 12325
Posts: 9,575
User Since: 4th Jan 2009
System Score: N/A
Location: UK
As you state this subject has resulted in much debate on this forum. Secunia PSI have issued a misleading statement by implying MSXML 4 can be updated by MSXML 6.
Windows 7,8,8.1 and 10 already have MSXML embedded. Provided PSI is showing MSXML 3 & 6 as secure you are OK.

MSXML 4 SP3 supported very very old legacy programmes and the latest version has been End of Life for nearly 18 months. The MSXML 4 SP2 is vulnerable. What path and file data does PSI give you?

If it is SP2 then it must be updated to SP3 manually as it is not available on Windows Update. If you decide to go down that route please note:

1. It is not supported by Windows 10 and the update may,I repeat may, be troublesome.
2. Even with SP3 installed there is no guarantee it is secure. The last update for it was released in March 2009. Secunia and like companies are not interesting in tracking obsolete software so by ignoring it there is a risk.

As stated the old programme you have installed onto your Windows 10 that requires MSXML4 must date back beyond 2009 which could make identification on a new OS fairly easy to make a balanced decision on what to do.

--
Maurice

Microsoft Surface 4 Intel i7 64Bit
Windows 10 Pro version 1809 Build 17763.404
16 GB RAM
IE & Edge Only
Was this reply relevant?
+0
-0
mtodorov RE: end of life
Member 5th Oct, 2015 09:11
Score: 19
Posts: 238
User Since: 20th Mar 2009
System Score: N/A
Location: HR
Last edited on 5th Oct, 2015 09:20
on 3rd Oct, 2015 18:18, marcirltr wrote:
I think I have found an answer in another thread but I am not sure about uninstalling 4.X can I just tell secunia to ignore the updates for 4.x or will this leave my system vulnerable


Hi, marcirltr,

After some digging you may find this useful:

https://altonblom.com/s34e09/

Regards,
mt


--
"If a task is worth doing, it is worth doing right. If it is not worth doing well, it is not worth doing." -- Dr. Jack Hyles
<><
Was this reply relevant?
+0
-0

This thread has been marked as locked.